//Copyright (C) 2013 The Computational Science Resarch Program (CSRP), RIKEN
//All rights reserved.
//
c Copyright (C) 2013 The Computational Science Resarch Program (CSRP), RIKEN
c All rights reserved.
c This file is part of RIKEN Integrated Cell Simulator for the K-Computer(RICS-K).
c 
c  RICS-K is free software: you can redistribute it and/or modify
c it under the terms of the GNU General Public License as published by
c the Free Software Foundation, either version 3 of the License, or
c (at your option) any later version.
c
c RICS-K is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty of
c MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c GNU General Public License for more details.
c 
c You should have received a copy of the GNU General Public License
c along with RICS-K.  If not, see <http://www.gnu.org/licenses/>.

      subroutine calcepsilon(e,Sm,fgm,imax,jmax,kmax,vc)
c
      implicit none
c
      integer imax,jmax,kmax,vc
      real e(-vc:imax+vc-1,-vc:jmax+vc-1,-vc:kmax+vc-1)
      real Sm(-vc:imax+vc-1,-vc:jmax+vc-1,-vc:kmax+vc-1)
      real fgm(-vc:imax+vc-1,-vc:jmax+vc-1,-vc:kmax+vc-1)
c
      integer i,j,k
c
c
      do k=0,kmax-1
      do j=0,jmax-1
      do i=0,imax-1
c
        e(i,j,k) = e(i,j,k) - Sm(i,j,k) * fgm(i,j,k)
c
      enddo
      enddo
      enddo
c
      return
      end
