c
c...dvdt/cm
c
      subroutine dvdtdvcm(imax,jmax,kmax,vc,Cm,dvdt,coefdvdt)
c
      implicit none
c
      integer imax,jmax,kmax,vc
c
      real Cm
      real dvdt(    1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real coefdvdt(1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
c
      integer i,j,k
c
      do k=1,kmax
      do j=1,jmax
      do i=1,imax
            dvdt(i,j,k)=dvdt(i,j,k)/(coefdvdt(i,j,k)*(Cm-1.0)+1.0)
      enddo
      enddo
      enddo

c
      return
      end
