//Copyright (C) 2013 The Computational Science Resarch Program (CSRP), RIKEN
//All rights reserved.
//
//This file is part of RIKEN Integrated Cell Simulator for the K-Computer(RICS-K).
//
//RICS-K is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.
//
//RICS-K is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with RICS-K.  If not, see <http://www.gnu.org/licenses/>.
/*
 * SPHERE - Skeleton for PHysical and Engineering REsearch
 *
 * Copyright (c) RIKEN, Japan. All right reserved. 2004-2005
 *
 */

#ifndef _SKL_SOLVER_Foundation_FACTORY_H_
#define _SKL_SOLVER_Foundation_FACTORY_H_

#include "SklSolvFactoryBase.h"

class SklFactoryFoundation : public SklSolvFactoryBase {
public:
  SklFactoryFoundation(){;};
  virtual ~SklFactoryFoundation(){;};
  virtual SklSolverBase* CreateSolvObj(int sType);
  virtual void DestorySolvObj(int sType, SklSolverBase* obj);
};

#endif // _SKL_SOLVER_Foundation_FACTORY_H_

