#Stepper FixedODE1Stepper(ODE) {
Stepper ODEStepper(ODE) {
	# no property
}

System System( / ) {
	StepperID ODE;

	Variable Variable(SIZE) { Value 1e-15; }

	Variable Variable(S0) { Value 1e0; }
	Variable Variable(S1) { Value 1e4; }
	Variable Variable(Ez) { Value 1e5; }

	Process MichaelisUniUniFluxProcess(P0) {
		KmS 1.2;
		KcF 1.6;
		VariableReferenceList [S0 Variable:/:S1 -1]
		                      [P0 Variable:/:S0  1]
							  [C0 Variable:/:Ez  0];
	}
}

System System( /A ) {
	StepperID ODE;
	Variable Variable(S0) { Value 1e0; }
}

