/*
 * Copyright (c) RIKEN, Japan. All right reserved. 2007-2009
 */

#ifndef __CONST_DATA_H__
#define __CONST_DATA_H__

#include <Skl.h>

//
extern const int VC;

extern const SKL_REAL default_NA;

// native const values
//extern const SKL_REAL K_meter3_to_litter;
//extern const SKL_REAL K_litter_to_meter3;

// configuration file tag name
extern const char* cfg_param_dt;
extern const char* cfg_param_lu;
extern const char* cfg_param_tu;
extern const char* cfg_param_vu;

extern const char* cfg_elem_output;
extern const char* cfg_elem_fldout;
extern const char* cfg_param_fldout_target;
extern const char* cfg_elem_prbout;
extern const char* cfg_param_prbout_target;
extern const char* cfg_param_prbout_point_x;
extern const char* cfg_param_prbout_point_y;
extern const char* cfg_param_prbout_point_z;
extern const char* cfg_param_prbout_interval;
extern const char* cfg_param_prbout_fname;

extern const char* cfg_elem_simsetting;

// configuration default
extern const SKL_REAL default_dt;

extern const char*  prbout_defalut_file;
extern const char   prbout_separater;
extern const size_t prbout_colum_width;

// array data label
extern const char* ary_label_mat_org;
extern const char* ary_label_mat_new;
extern const char* ary_label_mol_org;
extern const char* ary_label_mol_new;

extern const char* ary_label_mtb_res;
extern const char* ary_label_diff_res;

#endif // __CONST_DATA_H__

