//Copyright (C) 2013 The Computational Science Resarch Program (CSRP), RIKEN
//All rights reserved.
//
c Copyright (C) 2013 The Computational Science Resarch Program (CSRP), RIKEN
c All rights reserved.
c This file is part of RIKEN Integrated Cell Simulator for the K-Computer(RICS-K).
c 
c  RICS-K is free software: you can redistribute it and/or modify
c it under the terms of the GNU General Public License as published by
c the Free Software Foundation, either version 3 of the License, or
c (at your option) any later version.
c
c RICS-K is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty of
c MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c GNU General Public License for more details.
c 
c You should have received a copy of the GNU General Public License
c along with RICS-K.  If not, see <http://www.gnu.org/licenses/>.

      real function fluxpenevoxel(
     +                      p0gm,p0gn,Kpene,
     +                      nx,ny,nz,i,j,k,
     +                      imax,jmax,kmax,vc)
c
      implicit none
c
      integer i,j,k
      integer imax,jmax,kmax,vc
      real p0gm(-vc:imax+vc-1,-vc:jmax+vc-1,-vc:kmax+vc-1)
      real p0gn(-vc:imax+vc-1,-vc:jmax+vc-1,-vc:kmax+vc-1)
      real Kpene(-vc:imax+vc-1,-vc:jmax+vc-1,-vc:kmax+vc-1)
      real nx,ny,nz
      real fluxpene
c
      fluxpenevoxel = 
     +      fluxpene(Kpene(i,j,k),
     +              p0gm(i,j,k),
     +              p0gn(i+int(nx),j+int(ny),k+int(nz)))
c
      return
      end
c
c
