c...for maku-denni.s
      subroutine setcoefreadmembarea(imax,jmax,kmax,vc,diffcoef
     1                   ,smc,smx,smy,smz,membnomalx,membnomaly
     1                   ,membnomalz
     1                   ,cx,cy,cz,coefdvdt)
      implicit none
      integer imax,jmax,kmax,vc
      real diffcoef
      real smc       (1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real smx       (1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real smy       (1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real smz       (1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real membnomalx(1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real membnomaly(1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real membnomalz(1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real cx(1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real cy(1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real cz(1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)
      real coefdvdt(1-vc:imax+vc,1-vc:jmax+vc,1-vc:kmax+vc)

      integer i,j,k
      real nx,ny,nz,ux,uy,uz,inp,dx,dy,dz,c1,c2,ll,ll2
      real tx,ty,tz
      real xxx,xxy,xxz,xyx,xyy,xyz,xzx,xzy,xzz
      real llx,lly,llz

      do k=0,kmax+1
      do j=0,jmax+1
      do i=0,imax+1
      !do k=1,kmax
      !do j=1,jmax
      !do i=1,imax

        coefdvdt(i,j,k) = 0.0d0
        if( smc(i,j,k).gt.0.0 ) coefdvdt(i,j,k) = 1.0d0
        if( smx(i,j,k).gt.0.0 ) coefdvdt(i,j,k) = 1.0d0
        if( smy(i,j,k).gt.0.0 ) coefdvdt(i,j,k) = 1.0d0
        if( smz(i,j,k).gt.0.0 ) coefdvdt(i,j,k) = 1.0d0
        if( smx(i+1,j,k).gt.0.0 ) coefdvdt(i,j,k) = 1.0d0
        if( smy(i,j+1,k).gt.0.0 ) coefdvdt(i,j,k) = 1.0d0
        if( smz(i,j,k+1).gt.0.0 ) coefdvdt(i,j,k) = 1.0d0

        nx = abs(membnomalx(i,j,k))
        ny = abs(membnomaly(i,j,k))
        nz = abs(membnomalz(i,j,k))

        call unit(nx,ny,nz)
        call length(nx,ny,nz,ll)
        if( ll.eq.0.0 ) then
          cx(i,j,k) = 0.d0
          cy(i,j,k) = 0.d0
          cz(i,j,k) = 0.d0
        else
          tx = -(nx)/(nx**2.d0+ny**2.d0+nz**2.d0)
          ty = -(ny)/(nx**2.d0+ny**2.d0+nz**2.d0)
          tz = -(nz)/(nx**2.d0+ny**2.d0+nz**2.d0)

          xxx = 1 + tx * nx
          xxy = 0 + tx * ny
          xxz = 0 + tx * nz
          xyx = 0 + ty * nx
          xyy = 1 + ty * ny
          xyz = 0 + ty * nz
          xzx = 0 + tz * nx
          xzy = 0 + tz * ny
          xzz = 1 + tz * nz

          call length(xxx,xxy,xxz,llx)
          call length(xyx,xyy,xyz,lly)
          call length(xzx,xzy,xzz,llz)

          dx = llx / (llx + lly + llz)
          dy = lly / (llx + lly + llz)
          dz = llz / (llx + lly + llz)


          ! U' = U - {UEN}N
          !   N : unit vector of face normal
          !   U : unit vector of [1 1 1]
c          ux = 1.d0
c          uy = 1.d0
c          uz = 1.d0
c          call unit(ux,uy,uz)
c          call inner(ux,uy,uz,nx,ny,nz,inp)
c          if( inp.eq.0 ) then
c            dx = 1.0
c            dy = 1.0
c            dz = 1.0
c          else
c            dx = ux - inp * nx
c            dy = uy - inp * ny
c            dz = uz - inp * nz
c          endif
          call unit(dx,dy,dz)
          cx(i,j,k) = abs(dx * diffcoef)
          cy(i,j,k) = abs(dy * diffcoef)
          cz(i,j,k) = abs(dz * diffcoef)
        endif
      enddo
      enddo
      enddo
c
      return
      end
c
