//Copyright (C) 2013 The Computational Science Resarch Program (CSRP), RIKEN
//All rights reserved.
//
//This file is part of RIKEN Integrated Cell Simulator for the K-Computer(RICS-K).
//
//RICS-K is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.
//
//RICS-K is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with RICS-K.  If not, see <http://www.gnu.org/licenses/>.


#ifndef __MEMBRANE_USER_DEFINED_FUNCTION_H__
#define __MEMBRANE_USER_DEFINED_FUNCTION_H__

#include <Foundation/api.h>
#include <Foundation/error.h>

// write user defined function definition, here

void UserDefinedFunctionInitialize();
void UserDefinedFunctionLoop();
void UserDefinedFunctionPost();

#endif // __MEMBRANE_USER_DEFINED_FUNCTION_H__

