/*
 * SPHERE - Skeleton for PHysical and Engineering REsearch
 *
 * Copyright (c) RIKEN, Japan. All right reserved. 2004-2005
 *
 */

#include "SklFactoryFoundation.h"
#include "SklSolverFoundation.h"

SklSolverBase* SklFactoryFoundation::CreateSolvObj(int sType)
{
  return (SklSolverBase*)new SklSolverFoundation(sType);
}

void SklFactoryFoundation::DestorySolvObj(int sType, SklSolverBase* obj)
{
  SklSolverFoundation* solv = 
           dynamic_cast<SklSolverFoundation*>(obj);
  if( solv ) delete solv;
  else       delete obj;
}

